import { createApp } from 'vue'
import App from './App.vue'

import router from "./router/router.js"

import ElementPlus from 'element-plus';

import 'element-plus/dist/index.css'
import axios from 'axios'
import VueAxios from 'vue-axios'
import zhCn from 'element-plus/es/locale/lang/zh-cn'  
axios.defaults.baseURL='https://a99zg89a.xiaomy.net'

axios.interceptors.request.use(config => {
    
    config.headers.Authorization = "Basic c2FiZXI6c2FiZXJfc2VjcmV0"
   
    return config
  })
let app=createApp(App)
app.use(router)
app.use(ElementPlus,{locale:zhCn});
app.use(VueAxios,axios)
app.mount('#app')
