

// 引入vue-router
import {
	createRouter,
	createWebHistory
} from 'vue-router'
import login from '../view/login.vue'
import index from '../view/index.vue'
import projectManagement from '../view/projectManagement.vue'
//配置路由
const router = createRouter({
	history: createWebHistory(),
	routes: [{
		path: '/', //登录页
		name: 'login',
		component: login
	},
    {
		path: '/index', //
		name: 'index',
		component: index
	},
    {
		path: '/projectManagement', //
		name: 'projectManagement',
		component: projectManagement
	}
  
]
})
// 导出router
export default router;